<template>
  <div class="d-flex px-2x py-1x bg-grey-3 bd-rds-md">
    <slot name="name">
      <p class="text-xs text-semibold c-grey-6">{{ title }}:</p>
    </slot>
    <p class="text-sm text-semibold ml-05x">
      <slot></slot>
    </p>
    <b-button-icon
      xsmall
      ghost
      name="close"
      class="ml-05x mri-1x"
      @click.prevent="handleClear"
    />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
export default Vue.extend({
  name: 'CommonFilteredItem',
  props: {
    title: {
      type: String,
      default: '',
    },
  },
  methods: {
    handleClear() {
      this.$emit('clear')
    },
  },
})
</script>
